from enum import Enum


class FeatureFlagsEnum(Enum):
    # modules
    achievements_module = "AchievementsModule"
    api_module = "ApiModule"
    admin_module = "AdminModule"
    auto_role_module = "AutoRoleModule"
    base_module = "BaseModule"
    boot_log_module = "BootLogModule"
    core_module = "CoreModule"
    core_extension_module = "CoreExtensionModule"
    data_module = "DataModule"
    database_module = "DatabaseModule"
    level_module = "LevelModule"
    moderator_module = "ModeratorModule"
    permission_module = "PermissionModule"
    # features
    api_only = "ApiOnly"
    presence = "Presence"
    version_in_presence = "VersionInPresence"
