from cpl_core.logging import LoggingSettings, LoggingLevelEnum


class FileLoggingSettings(LoggingSettings):
    def __init__(
        self,
        key: str,
        path: str = None,
        filename: str = None,
        console_log_level: LoggingLevelEnum = None,
        file_log_level: LoggingLevelEnum = None,
    ):
        LoggingSettings.__init__(self, path, filename, console_log_level, file_log_level)

        self._key = key

    @property
    def key(self) -> str:
        return self._key

    # def from_dict(self, settings: dict):
    #     try:
    #         self._key = settings["Key"]
    #         super().from_dict(settings)
    #     except Exception as e:
    #         Console.error(f"[ ERROR ] [ {__name__} ]: Reading error in {type(self).__name__} settings")
    #         Console.error(f"[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}")
